summaryrefslogtreecommitdiffstats
path: root/libraries/soci
diff options
context:
space:
mode:
author Isaac Yu <isaacyu1@isaacyu1.com>2022-04-06 09:43:55 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2022-04-09 15:45:48 +0700
commitd90274bb52ada29a05e7ade76169b153d7450db5 (patch)
treeda8fd2deb6228efdfc9e898086fd97ad504ef590 /libraries/soci
parent05e2a9e8a3bc8b98911fc6fd16ca686bc51071c0 (diff)
downloadslackbuilds-d90274bb52ada29a05e7ade76169b153d7450db5.tar.gz
slackbuilds-d90274bb52ada29a05e7ade76169b153d7450db5.tar.xz
libraries/soci: Added (Database Access Library for C++).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries/soci')
-rw-r--r--libraries/soci/README8
-rw-r--r--libraries/soci/slack-desc19
-rw-r--r--libraries/soci/soci.SlackBuild106
-rw-r--r--libraries/soci/soci.info10
4 files changed, 143 insertions, 0 deletions
diff --git a/libraries/soci/README b/libraries/soci/README
new file mode 100644
index 0000000000..339f750787
--- /dev/null
+++ b/libraries/soci/README
@@ -0,0 +1,8 @@
+SOCI is a database access library for C++ that makes the illusion of
+embedding SQL queries in the regular C++ code, staying entirely within
+within the Standard C++.
+
+The idea is to provide C++ programmers a way to access SQL databases
+in the most natural and intuitive way. If you find existing libraries
+too difficult for your needs or just distracting, SOCI can be a good
+alternative.
diff --git a/libraries/soci/slack-desc b/libraries/soci/slack-desc
new file mode 100644
index 0000000000..5da8d3067c
--- /dev/null
+++ b/libraries/soci/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+soci: soci (Database Access Library for C++)
+soci:
+soci: SOCI is a database access library for C++ that makes the illusion of
+soci: embedding SQL queries in the regular C++ code, staying entirely within
+soci: the Standard C++.
+soci:
+soci:
+soci:
+soci:
+soci:
+soci:
diff --git a/libraries/soci/soci.SlackBuild b/libraries/soci/soci.SlackBuild
new file mode 100644
index 0000000000..a8e4f95fb7
--- /dev/null
+++ b/libraries/soci/soci.SlackBuild
@@ -0,0 +1,106 @@
+#!/bin/bash
+
+# Slackware build script for soci
+
+# Copyright 2022 Isaac Yu <isaacyu1@isaacyu1.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=soci
+VERSION=${VERSION:-4.0.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+unzip $CWD/$PRGNAM-$VERSION.zip
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DSOCI_TESTS=OFF \
+ -DCMAKE_CXX_STANDARD=11 \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS CHANGES README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/libraries/soci/soci.info b/libraries/soci/soci.info
new file mode 100644
index 0000000000..e283bedbc0
--- /dev/null
+++ b/libraries/soci/soci.info
@@ -0,0 +1,10 @@
+PRGNAM="soci"
+VERSION="4.0.3"
+HOMEPAGE="http://soci.sf.net"
+DOWNLOAD="http://downloads.sourceforge.net/project/soci/soci/soci-4.0.3/soci-4.0.3.zip"
+MD5SUM="c700d18030f99bf25498f8f2230d687f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="postgresql unixODBC"
+MAINTAINER="Isaac Yu"
+EMAIL="isaacyu1@isaacyu1.com"